<?php
/**
 * Add Tooman currency for EDD
 *
 * @param array $currencies Currencies list
 * @return                array
 */
if (!function_exists('novinpal_irg_add_tooman_currency')) {

	function novinpal_irg_add_tooman_currency($currencies)
	{
		$currencies['IRT'] = 'تومان';
		return $currencies;
	}
}
add_filter('edd_currencies', 'novinpal_irg_add_tooman_currency');

/**
 * Format decimals
 */
add_filter('edd_sanitize_amount_decimals', function ($decimals) {

	$currency = function_exists('edd_get_currency') ? edd_get_currency() : '';

	global $edd_options;

	if (!empty($currency) && ($edd_options['currency'] == 'IRT' || $currency == 'IRT' || $edd_options['currency'] == 'RIAL' || $currency == 'RIAL')) {

		return $decimals = 0;
	}

	return $decimals;
});

add_filter('edd_format_amount_decimals', function ($decimals) {

	$currency = function_exists('edd_get_currency') ? edd_get_currency() : '';

	global $edd_options;

	if (!empty($currency) && ($edd_options['currency'] == 'IRT' || $currency == 'IRT' || $edd_options['currency'] == 'RIAL' || $currency == 'RIAL')) {

		return $decimals = 0;
	}

	return $decimals;
});

if (function_exists('per_number')) {

	add_filter('edd_irt_currency_filter_after', 'per_number', 10, 2);
}

if (!function_exists('novinpal_tooman_postfix')) {

	function novinpal_tooman_postfix($price, $did)
	{
		return str_replace('IRT', 'تومان', $price);
	}
}
add_filter('edd_irt_currency_filter_after', 'novinpal_tooman_postfix', 10, 2);

if (!function_exists('novinpal_rial_postfix')) {

	function novinpal_rial_postfix($price, $did)
	{
		return str_replace('RIAL', 'ریال', $price);
	}
}
add_filter('edd_rial_currency_filter_after', 'novinpal_rial_postfix', 10, 2);
